Package org.codehaus.groovy.control.customizers

## Interface SecureASTCustomizer.StatementChecker

- Enclosing class:
    SecureASTCustomizer
  Functional Interface:
    This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

      @FunctionalInterface
      public static interface SecureASTCustomizer.StatementChecker

  This interface allows the user to provide a custom statement checker if the dis/allowed statement lists are not sufficient

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isAuthorized​(Statement expression)` |

- - ### Method Detail

    - #### isAuthorized

          boolean isAuthorized​(Statement expression)